ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
ome::xml::model::OMEModelObject::indexed_container< T, Ptr > Struct Template Reference

Multi-index container for efficient ordered insertion and deletion of model object references. More...

`#include <ome/xml/model/OMEModelObject.h>`

Inheritance diagram for ome::xml::model::OMEModelObject::indexed_container< T, Ptr >:
[legend]

## Public Types
typedef boost::multi_index_container< Ptr< T >, boost::multi_index::indexed_by< boost::multi_index::random_access<>, boost::multi_index::ordered_unique< boost::multi_index::identity< Ptr< T > >, ome::compat::owner_less< Ptr< T > > > > > | type
| Multi-index container type.

## Detailed Description

### template<typename T, template< typename ElementType > class Ptr>
struct ome::xml::model::OMEModelObject::indexed_container< T, Ptr >

Multi-index container for efficient ordered insertion and deletion of model object references.

The documentation for this struct was generated from the following file:

- ome/xml/model/OMEModelObject.h